Subject: bug#1213: emacs GNU Emacs 22.3.1 (i386-pc-solaris2.10, X toolkit)

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 11 Dec 2008 09:49:44 -0800 (PST)

"Michael E. Thomadakis" <[email-masked]> writes:

  > I 've just finished compiling GNU emacs 22.3.1 on Solaris 10 (on an
  > AMD64) with ./configure line:
  > 
  >  env CC="cc -m32" CFLAGS='-O2' ./configure --with-xpm --with-jpeg
  > --with-tiff --with-gif --with-png
  > 
  > where cc is the latest C Workshop 12 Solaris 10 compiler, but when I run it
  > % ./src/emacs
  > 
  > Memory exhausted--use M-x save-some-buffers then exit and restart Emacs
  > 
  > 
  > However, when I use the -nw option the text window emacs launches properly.
  > 
  > 
  > Note that I was trying to build a 64-bit version of emacs
  > 
  > env CC="cc -m64" CFLAGS='' ./configure --with-xpm --with-jpeg
  > --with-tiff --with-gif --with-png

Building a 64-bit version won't work for emacs-22.3, but it should work
now for the CVS HEAD version, so you might want to try that.

Thanks

        --dan